usage:
4
uboot>setenv cpu_240mhz y
uboot>saveenv
uboot>reset

set the cpu pll = 240mhz


liushiwei@gmail.com


--- Uboot/lib_mips/board.c	2012-02-22 11:28:40.000000000 +0000
+++ Uboot1/lib_mips/board.c	2014-05-11 06:56:46.296797844 +0000
@@ -1352,6 +1352,17 @@
 	/* relocate environment function pointers etc. */
 	env_relocate();
 
+#if defined(RT5350_ASIC_BOARD)
+	char *pll;
+	pll=getenv("cpu_240mhz");
+	if(strlen(pll)>0 && (pll[0]|0x20)==('y'|0x20)) {
+		RALINK_REG(RT2880_SYS_CNTL_BASE+0x48) |=0x2;
+	}else {
+		RALINK_REG(RT2880_SYS_CNTL_BASE+0x48) &= ~0x2;
+	}
+	if(RALINK_REG(RT2880_SYS_CNTL_BASE+0x48)&0x2) mips_cpu_feq = (240*1000*1000);
+#endif
+
 	/* board MAC address */
 	s = getenv ("ethaddr");
 	for (i = 0; i < 6; ++i) {
